#! /bin/zsh

# Don't just run this script. Modify to it to suit your needs, first.

# bk2site_server_scripts.sh

# copy all my configuration-files and scripts used for bk2site to directory
# tree and create nice tar.bz2-package of it.

# Created by:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv/
# juhtolv (at) iki (dot) fi

###########################################################################
# Copyright (C) 2003 Juhapekka "naula" Tolvanen http://iki.fi/juhtolv/

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
###########################################################################

#WWW_DIR="${HOME}/public_html"
WWW_DIR="${HOME}/www"

#WWW_INDEX_FILE="index.php"
#WWW_INDEX_FILE="index.cgi"
WWW_INDEX_FILE="index.html"

if test -f ${WWW_DIR}/${WWW_INDEX_FILE}
then
  :
else
  echo "WWW-directory ${WWW_DIR} seems bogus. Exiting..." >&2
  echo "Exiting..." >&2
  exit 1
fi

if star --version 2>&1 | grep -i "Schilling" > /dev/null 2>&1
then
  alias tar='star'
  echo "Cool... You have star, not just GNU tar or plain tar"
elif gtar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
  alias tar="gtar"
  echo "Cool... You have GNU tar, not just plain tar"
elif tar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
  echo "Cool... You have GNU tar, not just plain tar"
fi

# SOME VARIABLES
MYDATE="`date +%Y%m%d`"

setopt extendedglob
MYDIR="$HOME/viritys/bk2site/"
DISTDIR="bk2site_home_scripts-${MYDATE}"

# ACTION
unalias cp 2> /dev/null

cd $MYDIR

rm -rf ${DISTDIR} bk2site_server_scripts-${MYDATE}.tar.bz2 2> /dev/null
mkdir ${DISTDIR}
mkdir -p ${DISTDIR}/home/juhtolv/bin
cd $MYDIR

cp  ${HOME}/bin/*bk2site* ${DISTDIR}/home/juhtolv/bin/

chmod -R ugo+rX ${DISTDIR}
chmod ugo-x ${DISTDIR}/**/*(.)

echo " ************** tar.bz2 **************"
tar -c -f - ${DISTDIR} | bzip2 -9vv > bk2site_server_scripts-${MYDATE}.tar.bz2
chmod ugo+r,go-wx bk2site_server_scripts-${MYDATE}.tar.bz2

mv -f bk2site_server_scripts-${MYDATE}.tar.bz2 ${WWW_DIR}/hacks/sh/bk2site/
chmod ugo+r,go-wx ${WWW_DIR}/hacks/sh/bk2site/*

rm -rf ${DISTDIR}


